<!DOCTYPE html>
<html lang="de">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Nachrichten</title>

  <style>
    .grid-container {
      display: grid;
      grid-template-rows: 100px 100px 100px;
      grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
      grid-gap: 1px;
      grid-template-areas:
        "area1 area1 area1 area1 area1"
        "area2 area2 area3 area3 area3"
        "area4 area4 area3 area3 area3"
        "area4 area4 area3 area3 area3"
        "area4 area4 area5 area5 area5"
        "area4 area4 area5 area5 area5"
        "area4 area4 area5 area5 area5";
    }

    .grid-item1 {
      background: Whitesmoke;
      text-align: center;
      border: black 0.5px solid;
      grid-area: area1;
    }

    .grid-item2 {
      background: Whitesmoke;
      text-align: center;
      border: black 1px solid;
      grid-area: area2;
    }

    .grid-item3 {
      background: Whitesmoke;
      text-align: center;
      border: black 1px solid;
      grid-area: area3;
    }

    .grid-item4 {
      background: Whitesmoke;
      text-align: center;
      border: black 1px solid;
      grid-area: area4;
    }

    .grid-item5 {
      background: Whitesmoke;
      text-align: center;
      border: black 1px solid;
      grid-area: area5;
    }

    body {
      font-family: Verdana, Arial, Sans-Serif;
      background-color: Whitesmoke;
    }

    td {
      border-collapse: collapse;
      background: Whitesmoke;
      border: black 0.5px solid;
      padding: 0px
    }

    .tag {
      color: transparent;
      background: transparent;
      cursor: pointer;
      border: Solid 0px transparent;
      text-align: center;
      width: 70px;
    }

    .tag:focus-visible {
      outline: 0px;
      border: 0px;
    }

    table {
      margin: auto;
    }

    table th:nth-child(even),
    table tr:nth-child(even) {
      background-color: #ffffff;
    }

    table tr {
      transition: background-color 0.3s;
    }

    table tr:hover {
      background-color: #dddddd;
    }
  </style>

</head>

<body>

  <div class="grid-container">
    <div class="grid-item1">
      <nav>
        <u>Suchen</u> |
        <span onClick="window.location.href='eintragen.php';" style="cursor:pointer">Eintragen</span> |
        <span onClick="window.location.href='bearbeiten.php';" style="cursor:pointer">Bearbeiten</span> |
        <span onClick="window.location.href='auslesen.php';" style="cursor:pointer">Nachrichten</span> |
      </nav>
    </div>

    <div class="grid-item2">
     grid-item2
    </div>

    <div class="grid-item3">Leihen/Rückgabe<br>

      <form method="post">
        <p>
          <label>Suche: <input type="search" name="suchbegriff" required placeholder="Name eingeben"></label>
          <button type="submit" name="suchen">los</button>
        </p>
      </form>

      <form method="post">

        <table border="1">
          <tr>
            <th> Name / Tag </th>
            <th> Montag </th>
            <th> Dienstag </th>
            <th> Mittwoch </th>
            <th> Ändern </th>
          </tr>

          <?php
          include "db.php";
          $farben = ["transparent", "red", "green", "yellow"];

          if ($_SERVER["REQUEST_METHOD"] == "POST") {
            if (isset($_POST["submit"])) {

              // Eintragen
              if (isset($_POST["id"])) {
                foreach ($_POST["id"] as $id) {
                  $db->query("UPDATE `datenbank`
                          SET `Montag` = " . $_POST[$id . "|Montag"] . ",
                           `Dienstag` = " . $_POST[$id . "|Dienstag"] . ",
                           `Mittwoch` = " . $_POST[$id . "|Mittwoch"] . "
                          WHERE `id` = " . $id);
                }
              }
            }
          }

          // Suchen
          if (isset($_POST["suchen"]) && !empty($_POST["suchbegriff"])) {
            $select = $db->prepare("SELECT `id`, `name`, `Montag`, `Dienstag`, `Mittwoch` FROM `datenbank` WHERE `name` LIKE :suchbegriff");
            $select->bindValue(':suchbegriff', '%' . $_POST["suchbegriff"] . '%');
            $select->execute();
            $eintraege = $select->fetchAll();
            if (count($eintraege) > 0) {

              foreach ($eintraege as $eintrag) {
                echo '<tr>
            <th> ' . $eintrag["name"] . ' </th>
            <td style="background: ' . $farben[$eintrag["Montag"]] . ';"> <input type="text" name="' . $eintrag["id"] . '|Montag" value="' . $eintrag["Montag"] . '" readonly class="tag"> </td>
            <td style="background: ' . $farben[$eintrag["Dienstag"]] . ';"> <input type="text" name="' . $eintrag["id"] . '|Dienstag" value="' . $eintrag["Dienstag"] . '" readonly class="tag"> </td>
            <td style="background: ' . $farben[$eintrag["Mittwoch"]] . ';"> <input type="text" name="' . $eintrag["id"] . '|Mittwoch" value="' . $eintrag["Mittwoch"] . '" readonly class="tag"> </td> <th><input type="checkbox" name="id[]" value="' . $eintrag["id"] . '"></th>
          </tr>';
              }
            } else {
              echo '<p>Der Name ' . htmlspecialchars($_POST["suchbegriff"]) . ' ist nicht vorhanden!</p>';
            }
          }

          // Auslesen
          if (!isset($_POST["suchbegriff"])) {

            $select = $db->query("SELECT `id`, `name`, `Montag`, `Dienstag`, `Mittwoch` FROM `datenbank`");
            $eintraege = $select->fetchAll();

            foreach ($eintraege as $eintrag) {
              echo '<tr>
            <th> ' . $eintrag["name"] . ' </th>
            <td style="background: ' . $farben[$eintrag["Montag"]] . ';"> <input type="text" name="' . $eintrag["id"] . '|Montag" value="' . $eintrag["Montag"] . '" readonly class="tag"> </td>
            <td style="background: ' . $farben[$eintrag["Dienstag"]] . ';"> <input type="text" name="' . $eintrag["id"] . '|Dienstag" value="' . $eintrag["Dienstag"] . '" readonly class="tag"> </td>
            <td style="background: ' . $farben[$eintrag["Mittwoch"]] . ';"> <input type="text" name="' . $eintrag["id"] . '|Mittwoch" value="' . $eintrag["Mittwoch"] . '" readonly class="tag"> </td> <th><input type="checkbox" name="id[]" value="' . $eintrag["id"] . '"></th>
          </tr>';
            }
          }
          ?>
        </table>

        <p><button type="submit" name="submit">Speichern</button></p>

      </form>

    </div>

    <div class="grid-item4">
     grid-item4
    </div>

    <div class="grid-item5">
     grid-item5
    </div>

  </div>

  <script>
    let tage = document.querySelectorAll(".tag");
    tage.forEach((tag) => {
      tag.addEventListener("click", (e) => {
        let wert = parseInt(e.target.value);
        wert++;
        if (wert > 3) wert = 0;
        e.target.value = wert;
        farben = ["transparent", "red", "green", "yellow"];
        e.target.parentNode.style.backgroundColor = farben[wert];
      });
    });
  </script>

</body>

</html>